alanjt Posted April 6, 2011 Posted April 6, 2011 I just stumbled across this by accident. I'm sure many use the Lengthen command and it's vast options. I use Delta, Total and Dynamic myself, quite a bit - even have LISP macros for each. eg. ;LENGTHEN (TOTAL) (defun c:LG (/) (princ "\nLengthen Total") (command "lengthen" "t") (princ)) ;LENGTHEN (DELTA) (defun c:DE (/) (princ "\nLengthen Delta") (command "lengthen" "de") (princ)) ;LENGTHEN (DYNAMIC) (defun c:DY (/) (princ "\nLengthen Dynamic") (command "_.lengthen" "_dy") (princ)) But, I never noticed that you can type "F" (Fence) when prompted to select the line and you can fence through multiple lines and Lengthen them all at the same time. Quote
Tyke Posted April 7, 2011 Posted April 7, 2011 You can use the fence command in many situations where you have to pick an object, and its normally not documented. Its worth trying it out in other situations too. Quote
alanjt Posted April 7, 2011 Posted April 7, 2011 You can use the fence command in many situations where you have to pick an object, and its normally not documented. Its worth trying it out in other situations too. Very true and I use it all the time. I just never thought to try it within Lengthen. Quote
Tyke Posted April 7, 2011 Posted April 7, 2011 Continuous Pan We've all used the trick of pressing and holding down the mouse wheel to pan. Well it stops panning when you stop moving the mouse or let the wheel pop up and when you want to pan greater distances than those currently visible on your screen this can be a real PITA. If you first press the Ctrl key and then the mouse wheel (then you can let go of the Ctrl key) when you move the mouse it will start panning; stop moving the mouse and it will keep on panning; moving the mouse in another direction will change the direction of the pan; moving the mouse further away from the original point will speed up the panning rate; and moving the mouse closer to the original position will slow down the rate of pan; releasing the mouse wheel ends the continuous pan. It's just like the pan option in MicroStation. It's great when you have a big drawing and don't want to change the zoom, but quickly get to another part of your drawing. Quote
alanjt Posted April 7, 2011 Posted April 7, 2011 Speaking of pan: you can execute pan (hold down middle button, etc.) then hold the shift key down and pan orthogonally. Quote
Glen1980 Posted April 20, 2011 Posted April 20, 2011 Do you ever need to mirror lots of blocks around their own origin? Select all the relevant blocks then change either the x scale to -1 to mirror left to right of y scale to -1 to mirror top to bottom. If the blocks move out of place then all of the identical blocks will only need to be moved by the same distance. (Where the Previous selected command comes in handy!) Quote
Cad Monkey 2 Posted June 14, 2011 Posted June 14, 2011 Ever open a drawing you did a while back only to see a bunch of external references showing only a blank frame with a file path where the image or file USED to be found? Not to worry, REDIR to the rescue. Type in REDIR at the command line and you will be prompted to enter the portion of the old file path that has changed, and then the new portion of the file path. For example, you may have switched files from your C drive to a new E drive and changed the folder name from "ACAD Drawings" to "Job Files", in which you would first enter C\:ACAD Drawings for the old and E\:Job Files for the new as long as the rest of the file path is the same. Presto, all of your Xrefs are back without having to change them one by one in the Xref manager! This works for Styles and Shapes, Xrefs, Images and Rtext. Cad Monkey 2 Quote
suka4luv Posted June 17, 2011 Posted June 17, 2011 how can i set it to chamfer to a certain distance like 8" or 6" with just one command instead of having to key it in everytime? Quote
suka4luv Posted June 17, 2011 Posted June 17, 2011 Don't know about yal, but I got really tired of right clicking and selecting multiple when I use chamfer or fillet. So in the cui change the command to look like this... ^C^C_chamfer;u; ^C^C_fillet;u; can i set it to chamfer to a certain distance? Quote
CADPOLE Posted August 5, 2011 Posted August 5, 2011 You may have to doctor this up, I have a few minute while the boss told me to look busy so . . . . .here I am, hanging with you guys, lookin busy. SSX one of my favorite commands. it's a little confussing at first but once you get it down it can be your best buddy. When you type it in and hit enter once you can "select object" and it will give you all the info on that object. I'm not exactly sure what the numbers before the info are like the 7. in (7. "SIMPLEX") {you can skip this "select object" part by hitting enter} After you hit " Enter" the second time, you can choose Block, Color, Entity, Flag, Height, Layer, LType, Pick, Stye, Thickkness, Vector: (pick one by typing in the capped letter) after you pick the property you want click "Enter" again then input the type of that property you need. hit enter again. So say you need to grab all the text in a drawing input Entity, "Enter", text "Enter" go to the select objects at the top of the properties box and then "P" (For previouse selection) "Enter" You have all your text and by going into the properties box you can make a global change to all of the chosen property. Got to go hope I gave enought info. Quote
alanjt Posted August 5, 2011 Posted August 5, 2011 (edited) You may have to doctor this up, I have a few minute while the boss told me to look busy so . . . . .here I am, hanging with you guys, lookin busy. SSX one of my favorite commands. it's a little confussing at first but once you get it down it can be your best buddy. When you type it in and hit enter once you can "select object" and it will give you all the info on that object. I'm not exactly sure what the numbers before the info are like the 7. in (7. "SIMPLEX") {you can skip this "select object" part by hitting enter} After you hit " Enter" the second time, you can choose Block, Color, Entity, Flag, Height, Layer, LType, Pick, Stye, Thickkness, Vector: (pick one by typing in the capped letter) after you pick the property you want click "Enter" again then input the type of that property you need. hit enter again. So say you need to grab all the text in a drawing input Entity, "Enter", text "Enter" go to the select objects at the top of the properties box and then "P" (For previouse selection) "Enter" You have all your text and by going into the properties box you can make a global change to all of the chosen property. Got to go hope I gave enought info. If you edit line '198' with the following, it will select the items and you don't have to worry with using "P". (if f1 (sssetfirst nil (setq f2 (ssget "_x" f1)))) Edited August 6, 2011 by alanjt Quote
CADPOLE Posted August 5, 2011 Posted August 5, 2011 SEE! Exactly the reason CAD tutor is a better hang out than the water cooler/coffee maker!! Outstanding addition to a great command. Quote
alanjt Posted August 6, 2011 Posted August 6, 2011 SEE! Exactly the reason CAD tutor is a better hang out than the water cooler/coffee maker!! Outstanding addition to a great command. ............................ Quote
JORYROJ Posted September 28, 2011 Posted September 28, 2011 TIP: I hope this will help, because we've encountered this problem awhile ago and it take 15 staffs to think before I came up with the solution (humbly speaking). Exploding a block that is does not allow exploding? (lost there?) - the client created a block that had the "Allow Exploding" in the block creation setting UNCHECKED - so this Block cannot be EXPLODED (correct me if I'm wrong) What I did is (here's the tip) - I go inside the block (BEDIT) - Copied all the objects inside - Closed the block (BCLOSE) - Create a new block from the copied objects , but now setting the "Allow Exploding" setting CHECKED - then BLOCKREPLACE, select the unexplodable block, replace it with the new explodable block - REName the explodable block with the oringinal name - that's it you've just made an UNEXPLODEABLE BLOCK to be EXPLODEABLE Hope that helps when you encounter one. Quote
DNK Posted September 28, 2011 Posted September 28, 2011 TIP:I hope this will help, because we've encountered this problem awhile ago and it take 15 staffs to think before I came up with the solution (humbly speaking). Exploding a block that is does not allow exploding? (lost there?) - the client created a block that had the "Allow Exploding" in the block creation setting UNCHECKED - so this Block cannot be EXPLODED (correct me if I'm wrong) What I did is (here's the tip) - I go inside the block (BEDIT) - Copied all the objects inside - Closed the block (BCLOSE) - Create a new block from the copied objects , but now setting the "Allow Exploding" setting CHECKED - then BLOCKREPLACE, select the unexplodable block, replace it with the new explodable block - REName the explodable block with the oringinal name - that's it you've just made an UNEXPLODEABLE BLOCK to be EXPLODEABLE Hope that helps when you encounter one. If you type the block command, find the unexplodable block name, then select the allow explode check box, then press ok, it will redefine the block in place to be explodable. It may also insert the redefined block at 0,0 depending on what nodes you have selected under the Objects section. You can also change that property in the dynamic block editor. Quote
sanrajbhar Posted October 6, 2011 Posted October 6, 2011 hello All, May be some of you know about this trick or Someone may be already shared with you all. i wanted to share a trick --- In this you can invoke two command at same time. e.g suppose you draw polyline in high detailed dwg. while drawing pline(you may want to zoom). Command:pl Specify start point:(specify your required point) Specify next point or [Arc/Halfwidth/Length/Undo/Width]:'z see above you invoke zoom command after zooming. it back to your pline command. tried it out. really helpful. but make sure write "'"before command alias. can use 'calc (calculator function). Thanks Quote
Jab45 Posted October 7, 2011 Posted October 7, 2011 and you are supposed to be a super member? No dude, TTR is not the same as a 3p circle and tangent osnaps. TTR is two points with a radius that you specify. A 3 point circle (which always has tangent osnaps) is where you snap to 3 points. Two different tools. Similar usages, but they make all the difference. Quote
troggarf Posted October 7, 2011 Posted October 7, 2011 First off, calm down... Second, a 3 point circle, like how you described A 3 point circle (which always has tangent osnaps) is where you snap to 3 points is actually the Circle TTT (Tan Tan Tan) option.Click here to see a description of the difference Quote
SLW210 Posted October 7, 2011 Posted October 7, 2011 and you are supposed to be a super member? No dude, TTR is not the same as a 3p circle and tangent osnaps. TTR is two points with a radius that you specify. A 3 point circle (which always has tangent osnaps) is where you snap to 3 points. Two different tools. Similar usages, but they make all the difference. What post(s) are you replying? If you do not have a tip to contribute then do not post. Quote
sanrajbhar Posted October 7, 2011 Posted October 7, 2011 (edited) now, with this lispyou caN VIEW LAYER ONE BY ONE ! JUST PASTE THIS CODE IN NOTEPAD AND SAVE AS LAY.LSP. LOAD IT ON AUTOCAD. COMMAND :LAY PRESS SPACEBAR TO VIEW EACH LAYER ONE BY ONE ! (defun c:lay() (if (not list1) (progn (setq count1 0 list1 (append list1 (list (cdr (assoc 2 (tblnext "layer" "T")))))) (while (setq store1 (tblnext "layer")) (setq list1 (append list1 (list (cdr (assoc 2 store1))))) ) ) ) (if (< count1 (length list1)) (progn (command "layer" "s" (nth count1 list1) "off" "*" "" "") (setq count1 (1+ count1)) ) (progn (princ "\nLayer listing is over") (command "layer" "on" "*" "") (setq list1 nil) (princ) ) ) (princ) ) ENJOY ! Edited October 8, 2011 by sanrajbhar Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.